> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://okx-demo.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://okx-demo.ferndocs.com/_mcp/server.

# Get product info

GET https://www.okx.com/api/v5/finance/staking-defi/sol/product-info

Retrieve SOL staking product parameters, including fast-redemption limits and availability.

Reference: https://okx-demo.ferndocs.com/api/api-reference/sol-staking/get-product-info

## Authentication

- `OK-ACCESS-KEY` header (required) — Your API key.
- `OK-ACCESS-SIGN` header (required) — Base64-encoded HMAC-SHA256 signature of the prehash string.
- `OK-ACCESS-TIMESTAMP` header (required) — ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.
- `OK-ACCESS-PASSPHRASE` header (required) — The passphrase you set when creating the API key.

## Response

### 200

Successful response

- `code` (string, optional) — Result code. `0` means success; any other value is an error code.
- `msg` (string, optional) — Error message. Empty on success.
- `data` (map from string to any, optional)

## Examples

**Response**

```json
{
  "code": "0",
  "msg": "",
  "data": {
    "fastRedemptionAvail": "240",
    "fastRedemptionDailyLimit": "240",
    "minAmt": "0.01",
    "rate": "5.57",
    "redemptDays": "2"
  }
}
```

**SDK Code**

```python solStaking_getProductInfo_example
import requests

url = "https://www.okx.com/api/v5/finance/staking-defi/sol/product-info"

headers = {"OK-ACCESS-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript solStaking_getProductInfo_example
const url = 'https://www.okx.com/api/v5/finance/staking-defi/sol/product-info';
const options = {method: 'GET', headers: {'OK-ACCESS-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go solStaking_getProductInfo_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://www.okx.com/api/v5/finance/staking-defi/sol/product-info"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("OK-ACCESS-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby solStaking_getProductInfo_example
require 'uri'
require 'net/http'

url = URI("https://www.okx.com/api/v5/finance/staking-defi/sol/product-info")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["OK-ACCESS-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java solStaking_getProductInfo_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://www.okx.com/api/v5/finance/staking-defi/sol/product-info")
  .header("OK-ACCESS-KEY", "<apiKey>")
  .asString();
```

```php solStaking_getProductInfo_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://www.okx.com/api/v5/finance/staking-defi/sol/product-info', [
  'headers' => [
    'OK-ACCESS-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp solStaking_getProductInfo_example
using RestSharp;

var client = new RestClient("https://www.okx.com/api/v5/finance/staking-defi/sol/product-info");
var request = new RestRequest(Method.GET);
request.AddHeader("OK-ACCESS-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift solStaking_getProductInfo_example
import Foundation

let headers = ["OK-ACCESS-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://www.okx.com/api/v5/finance/staking-defi/sol/product-info")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```